> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stratumn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve trace details

> Retrieves the details of a given trace by id



## OpenAPI

````yaml api-reference/open-api-v2.json post /v2/traces/{traceId}/details
openapi: 3.0.0
info:
  title: Stratumn API
  description: Interact with Stratumn using simple REST endpoints
  version: 2.0.0
  contact: {}
servers:
  - url: http://api.local.stratumn.com:3000
    description: Local development server
  - url: https://api.stratumn.com
    description: Stratumn Production Server
  - url: https://api.us.stratumn.com
    description: Stratumn US Production Server
  - url: https://api.preprod.stratumn.com
    description: Stratumn Preprod Server
  - url: https://api.preprod.us.stratumn.com
    description: Stratumn US Preprod Server
security: []
tags: []
paths:
  /v2/traces/{traceId}/details:
    post:
      tags:
        - Trace
      summary: Retrieve trace details
      description: Retrieves the details of a given trace by id
      operationId: TraceV2Controller_getTraceDetails
      parameters:
        - name: traceId
          required: true
          in: path
          description: The UUID of the trace
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TraceDetailsInputV2Dto'
      responses:
        '200':
          description: The details of the given trace
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTraceDetailsV2Dto'
      security:
        - bearer: []
components:
  schemas:
    TraceDetailsInputV2Dto:
      type: object
      properties:
        error:
          description: The error of the request
        data:
          description: The data of the request
          type: object
          properties:
            last:
              description: The last number of links to retrieve
              type: number
            before:
              description: The cursor before which to retrieve links
              type: string
            after:
              description: The cursor after which to retrieve links
              type: string
            first:
              description: The first number of links to retrieve
              type: number
      required:
        - error
    GetTraceDetailsV2Dto:
      type: object
      properties:
        error:
          description: The error of the request
        data:
          description: The data of the request
          type: object
          properties:
            links:
              description: The links of the trace
              type: array
              items:
                type: object
                properties: {}
            totalCount:
              description: The total count of the links
              type: integer
            info:
              type: object
              properties:
                hasNext:
                  type: boolean
                hasPrevious:
                  type: boolean
                startCursor:
                  type: string
                endCursor:
                  type: string
              required:
                - hasNext
                - hasPrevious
          required:
            - links
            - totalCount
            - info
      required:
        - error
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````